Bug 173117 - Gnome panel hangs for a few minutes when trying to logout
Gnome panel hangs for a few minutes when trying to logout
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-panel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-14 06:34 EST by Karl Vogel
Modified: 2012-06-20 09:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:26:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karl Vogel 2005-11-14 06:34:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 CentOS/1.0.7-1.4.1.centos4 Firefox/1.0.7

Description of problem:
When issuing Actions->Log out, the gnome-panel freezes for a few minutes. This is before showing any confirmation dialog.

The setup is the following:
- Windows 2000 PC running cygwin 'XWin -indirect linuxhost'
- RHEL4 Linux machine running default gnome desktop
- Sound Server is disabled in gnome

After researching the problem, it appears that the panel hangs because it is trying to contact the gnome sound server (esd) on the Windows 2000 host, even although the sound server in the gnome prefs is disabled.

Since the windows 2000 host is running with Windows Firewall enabled, the esd connection is dropped (not rejected) causing the esound library to wait for a timeout.


Solution:

- starting 'esd -tcp -public' on the windows 2000 host and allowing incoming connections to esd.exe in the Windows Firewall, resolves the long hang at logout.


So it appears that gnome-panel doesn't strictly follow the 'Sound Server' settings of the session.






Version-Release number of selected component (if applicable):
gnome-panel-2.8.1-3.3E

How reproducible:
Always

Steps to Reproduce:
Login from a remote X11 server using XDMCP and block (drop, not reject) incoming connections to the esd daemon port (16001).


Additional info:
Comment 1 Karl Vogel 2005-11-14 06:36:20 EST
Correction:

The XWin commandline should read: XWin -query linuxhost


Possible the Fedora Core 3 Bug #151076 is related.
Comment 2 Russell Inman 2006-03-22 22:48:53 EST
I have the same problem on my RHEL 3 and 4 machines.  My solution had been to
rebuild gdm with the XDMCP patch removed.  Unfortunately, this no longer works
in RHEL 4 update 3.
Comment 3 Jiri Pallich 2012-06-20 09:26:02 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.